locate(1)

NOM
plocate — Trouver rapidement des fichiers par leur nom

SYNOPSIS
plocate [OPTION...] MOTIF...

DESCRIPTION
plocate trouve tous les fichiers du système qui correspondent au motif donné (ou à tous les motifs s’il en est spécifié plusieurs). Pour y parvenir, il utilise un index créé par updatedb(8) ou (plus rarement) converti depuis un autre index à l’aide de plocate-build(8).

plocate est en majeure partie compatible avec mlocate(1) quant à ses arguments, mais il est sensiblement plus rapide. En particulier, il a rarement besoin de parcourir la totalité de sa base de données, sauf si le motif est très court (moins de trois octets), ou si vous effectuez une recherche à partir d’une expression rationnelle. Il ne recherche pas la compatibilité avec locate(1) de BSD ou avec les paramètres régionaux et noms de fichier non-UTF-8. La plupart des entrées/sorties s’effectuent en mode asynchrone, mais les résultats sont synchronisés et la sortie s’affichera toujours dans le même ordre.

Lorsque plusieurs motifs sont spécifiés, plocate recherche les fichiers dont les noms correspondent à tous les motifs. Il s’agit de la principale différence avec mlocate(1) qui recherche les fichiers dont le nom correspond à un ou plusieurs motifs, à moins que l’option -A ne soit spécifiée.

Par défaut, les motifs sont considérés comme des sous-chaînes à rechercher. Si au moins un métacaractère générique non protégé (*, ? ou []) est spécifié, ce motif sera considéré comme un motif générique (ce qui signifie qu’il doit commencer et se terminer par « * » pour une correspondance de sous-chaine). Si l’option --regexp est spécifiée, les motifs seront considérés comme des expressions rationnelles POSIX classiques non ancrées (qui ne commencent pas par « ^ » ni ne se terminent par « $ ») ; si l’option --regex est spécifiée, les motifs seront considérés comme des expressions rationnelles POSIX étendues. Tout cela est conforme au comportement de mlocate(1)

Comme mlocate(1), plocate affiche tous les fichiers visibles par l’utilisateur appelant (autrement dit ceux pour lesquels ce dernier a les droits de lecture et exécution sur tous les répertoires parents), et aucun fichier non visible, en étant exécuté avec le bit setgid positionné pour accéder à l’index (qui est construit par le superutilisateur), mais aussi en testant la visibilité des fichiers sous l’identité de l’utilisateur appelant.

CODE DE RETOUR
plocate renvoie 0 pour indiquer qu’une correspondance a été trouvée ou qu’une des options --help ou --version a été spécifiée. Sinon, plocate renvoie 1 pour indiquer qu’une erreur s’est produite ou qu’aucune correspondance n’a été trouvée.

OPTIONS

-A, --all
    Cette option est présente à titre de compatibilité avec mlocate(1) et est ignorée.

-b, --basename
    La recherche ne s’effectue que sur la portion nom de fichier du chemin, ce qui signifie que les noms de répertoire seront exclus de la recherche de correspondance (mais quand même affichés). Cela n’accélère pas la recherche mais peut supprimer des correspondances inopportunes.

-c, --count
    Les correspondances sont comptées mais pas affichées ; leur nombre total est affiché à la fin.

-d, --database chemin_base
    La base de données spécifiée sera utilisée à la place de /var/lib/plocate/plocate.db pour la recherche de correspondances. Cette option peut être spécifiée plusieurs fois pour effectuer la recherche dans plusieurs bases de données. Il est aussi possible de spécifier plusieurs bases de données à l’aide d’une seule option en les séparant par des « : » (tout caractère, y compris « : » et « \ », peut être protégé en le faisant précéder d’un « \ »).

-e, --existing
    N’afficher que les entrées faisant référence à des fichiers existants au moment de l’exécution de locate. Notez qu’à la différence de mlocate(1), les liens symboliques ne sont pas suivis par défaut (et il n’existe aucune option permettant de modifier ce comportement).

-i, --ignore-case
    Effectuer une recherche de correspondance insensible à la casse tenant compte des paramètres régionaux actuels (par défaut, la recherche est sensible à la casse et effectue une correspondance octet par octet). Notez que plocate ne prend pas en charge toutes les règles Unicode de définition de la casse ; par exemple, chercher ß ne génèrera pas de correspondance avec ss, même avec des paramètres régionaux allemands. Notez aussi que l’utilisation de cette option rendra l’exécution un peu plus lente que dans le cas d’une recherche sensible à la casse, car il faudra générer plus de candidats pour rechercher dans l’index.

-l, --limit NOMBRE_MAX
    Arrêter la recherche quand NOMBRE_MAX correspondances ont été trouvées. Si l’option --count est spécifiée, le nombre affiché aura pour valeur maximale NOMBRE_MAX.

-N, --literal
    Afficher les noms d’entrée sans guillemets. Normalement, sauf s’il redirige sa sortie vers un tube, plocate protège les caractères spéciaux dans les noms de fichier, de sorte qu’ils soient propres à la consommation pour les interpréteurs de commande usuels (de manière similaire au style de mise entre guillemets imposé par la valeur shell-escape-always de l’option --quoting-style de GNU coreutils), mais cette option désactive cette mise entre guillemets.

-0, --null
    Écrire un octet NULL (caractère de code ASCII 0) au lieu d’un caractère nouvelle ligne après chaque correspondance. Cette option permet de générer une sortie sans ambiguïtés qui pourra être traitée par d’autres outils (comme xargs(1)), les noms de fichier pouvant contenir des caractères nouvelle ligne.

-r, --regexp
    Considérer les motifs comme des expressions rationnelles POSIX classiques. Voir regex(7) pour plus d’informations. Notez que cette option impose un parcours linéaire de toute la base de données, ce qui est un processus lent.

--regex
    Identique à --regexp, excepté que les motifs sont considérés comme des expressions rationnelles POSIX étendues.

-w, --wholename
    Effectuer la recherche de correspondance sur le nom de chemin complet. S’agissant du comportement par défaut, cette option ne modifiera pas ce dernier, à moins que l’option -b (voir ci-avant) ne soit spécifiée. En fait, cette option n’est présente qu’à titre de compatibilité avec mlocate(1).

--help
    Afficher les informations d’utilisation puis quitte avec un état de succès.

--version
    Afficher les informations de version puis quitte avec un état de succès.

ENVIRONNEMENT

LOCATE_PATH
    Si cette variable est définie, sa valeur est ajoutée à la liste des chemins de l’option --database (qu’il en ait été spécifiée une explicitement ou que la liste par défaut soit utilisée). La séparation par des deux-points « : » et la protection des caractères suivent les mêmes règles que l’option --database.

AUTEUR
Steinar H. Gunderson <steinar+plocate@gunderson.no>

VOIR AUSSI
plocate-build(8), mlocate(1), updatedb(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.